import 'package:flutter/material.dart';

import '../../../../utils/resource_manager/color_manager.dart';

class RowOfTitleAndArrowWidget extends StatelessWidget {
  final String title;
  final void Function() onTap;
  const RowOfTitleAndArrowWidget({
    super.key,
    required this.title,
    required this.onTap,
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      children: [
        Padding(
          padding: EdgeInsets.all(10),
          child: Text(
            title,
            style: TextStyle(
              fontSize: 17,
              fontWeight: FontWeight.bold,
            ),
          ),
        ),
        IconButton(
          onPressed: onTap,
          icon: Icon(
            Icons.arrow_forward_ios,
            color: ColorsManager.grayColor,
            size: 15,
          ),
        )
      ],
    );
  }
}
